<template>
    <header v-if="menu">
        <div id="navbar">
            <img src="@/assets/images/form/Spy.svg" alt=""/>
            <div id="menu">
                <router-link :to="{name: 'home'}" class="menu-item">Accueil</router-link>
                <router-link :to="{name: 'contribute'}" class="menu-item">Contribuer</router-link>
                <router-link :to="{name: 'home'}" class="menu-item">Presse</router-link>
                <router-link :to="{name: 'home'}" class="menu-item">Règles</router-link>
            </div>
        </div>
        <div id="header-button">
            <a href="/jouer">
                <button>Jouer {{ menu }}</button>
            </a>
        </div>
    </header>
    <router-view class="container"/>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
    computed: {
        ...mapGetters([
            'getApp'
        ]),
        menu() {
            return this.getApp.menu
        }
    },
}
</script>

<style scoped>
    body {
        width: 100vw;
        height: 100vh;
        margin: 0;
        font-family: 'Roboto', sans-serif;
        overflow-x: hidden;
        background: #ececec;
        line-height: 1.5;
    }

    header {
        width: 100vw;
        height: 80px;
        background: #0a0717;
        background-position: center;
        background-size: 70px;
        display: flex;
        justify-content: space-between;
        flex-direction: row;

    }

    #header-button {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        margin-right: 50px;
    }

    #header-button button {
        padding: 15px 50px;
        cursor: pointer;
        background: #161225;
        border: 0;
        font-size: 12px;
        border-radius: 3px;
        text-transform: uppercase;
        outline: none;
        font-weight: bold;
        color: white;
        transition: all 0.2s;
    }

    #header-button button:hover {
        background: #413d4e;
    }

    #navbar {
        height: 100%;
        display: flex;
        align-items: center;
        margin-left: 50px;
    }

    #navbar img {
        width: 50px;
    }

    #navbar #menu {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        margin: 0;
        line-height: 40px;
        font-weight: bold;
        letter-spacing: 1.5px;
        text-transform: uppercase;
        font-size: 12px;
        font-family: 'Roboto', 'sans-serif';
    }

    #navbar #menu .menu-item {
        margin-left: 60px;
        text-decoration: none;
        color: white;
    }

    #navbar #menu .menu-item:hover {
        border-bottom: solid 4px white;
    }

    #navbar #menu .router-link-active {
        border-bottom: solid 4px white;
    }

    .container {
        width: 100%;
        height: 100%;
    }


</style>